org.h2.test

## Class TestBase.Child

- java.lang.Object
- - org.h2.test.TestBase
  - - org.h2.test.TestBase.Child

Direct Known Subclasses:
  TestOutOfMemory.MyChild

Enclosing class:
  TestBase

    public abstract static class TestBase.Child
    extends TestBase

### Nested Class Summary

### Nested classes/interfaces inherited from class org.h2.test.TestBase

`TestBase.Child`

### Field Summary

### Fields inherited from class org.h2.test.TestBase

`BASE_TEST_DIR, config, start, uniqueId`

### Constructor Summary

Constructors
Constructor and Description
`TestBase.Child(java.lang.String... args)`

### Method Summary

Methods
`java.sql.Connection` `getConnection()`

### Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, buildChild, crash, createCaller, createClassProxy, createFailingStream, deleteDb, deleteDb, eatMemory, execute, execute, fail, fail, freeMemory, getBaseDir, getClassPath, getConnection, getConnection, getFilePassword, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getSize, getTestDir, getTestName, getURL, getUser, init, init, logError, logErrorMessage, println, printTime, printTimeMemory, readString, runTest, startServerIfRequired, test, throwException, trace, trace, traceMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestBase.Child

    public TestBase.Child(java.lang.String... args)

### Method Detail

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`